Bug 965578 - [abrt] system-config-printer-1.4.1-1.fc19: printerproperties.py:1637:updatePrinterProperties:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 4: ordinal not in range(128)
[abrt] system-config-printer-1.4.1-1.fc19: printerproperties.py:1637:updatePr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:2108f94e9aefb7c560b4b993fe7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 07:36 EDT by klaus
Modified: 2013-05-26 23:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-26 23:19:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (973 bytes, text/plain)
2013-05-21 07:36 EDT, klaus
no flags Details
File: core_backtrace (370 bytes, text/plain)
2013-05-21 07:36 EDT, klaus
no flags Details
File: environ (1.45 KB, text/plain)
2013-05-21 07:36 EDT, klaus
no flags Details

  None (edit)
Description klaus 2013-05-21 07:36:22 EDT
Description of problem:
When installing printer with fedoras own epson printer driver, provided by fedoras update service, when system-printer-config did search for the apropriate driver, it came up with 'cups did report an error: success', then did quit installing printer. I did try a second time and then and it did configure printer properly and even print out a beautiful test page.
 

Version-Release number of selected component:
system-config-printer-1.4.1-1.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
dso_list:       system-config-printer-libs-1.4.1-1.fc19.noarch
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.9.2-301.fc19.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
printerproperties.py:1637:updatePrinterProperties:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 4: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/share/system-config-printer/printerproperties.py", line 1895, in on_printer_event
    self.on_printer_modified (None, printer, False)
  File "/usr/share/system-config-printer/printerproperties.py", line 1885, in on_printer_modified
    self.updatePrinterProperties ()
  File "/usr/share/system-config-printer/printerproperties.py", line 1637, in updatePrinterProperties
    state += ' - ' + reason
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 4: ordinal not in range(128)

Local variables in innermost frame:
reason: u'Sending data to printer.'
printer: <cupshelpers.Printer "EPSON-Epson-Stylus-SX218">
state: 'Ausf\xc3\xbchrung l\xc3\xa4uft'
self: <PrinterPropertiesDialog object at 0x9b193c4 (printerproperties+PrinterPropertiesDialog at 0x9a21c90)>
Comment 1 klaus 2013-05-21 07:36:26 EDT
Created attachment 751057 [details]
File: backtrace
Comment 2 klaus 2013-05-21 07:36:30 EDT
Created attachment 751058 [details]
File: core_backtrace
Comment 3 klaus 2013-05-21 07:36:33 EDT
Created attachment 751059 [details]
File: environ
Comment 4 Tim Waugh 2013-05-21 10:57:50 EDT
Fixed upstream in commit 720af5b.
Comment 5 Tim Waugh 2013-05-21 11:10:41 EDT
Fixed upstream in commit 720af5b.
Comment 6 Fedora Update System 2013-05-22 04:32:55 EDT
system-config-printer-1.4.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.1-3.fc19
Comment 7 Fedora Update System 2013-05-22 18:35:42 EDT
Package system-config-printer-1.4.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8818/system-config-printer-1.4.1-3.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-05-26 23:19:12 EDT
system-config-printer-1.4.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.